1. GST SERVICES
FoxLab Api
  • Mobile DTH Recharge
    • Plan Fetch
      GET
    • Recharge Now
      GET
    • Recharge Status Check
      GET
  • Mobile Lookup
    • Mobile To Operator
      GET
  • Pan Services
    • Aadhar To Pan Mask
      GET
    • Pan To Mask Aadhar
      GET
    • Aadhar To Pan Link Status
      GET
    • Pan To name & Dob
      GET
    • Pan Details Premium
      GET
    • Aadhar To Pan
      GET
    • Pan To Aadhar
      GET
    • Pan/Name To GST
      GET
  • Electric Bill Services
    • Electric Bill Operator Code
      GET
    • Electric Bill Details
      GET
    • Electric Bill PDF - BR
      GET
  • Banking Services
    • IFSC Code Verification
      GET
  • Email Sender
    • Send Email - SMTP
      GET
  • GST SERVICES
    • Name / Pan To GST Verification
      GET
  • Domain IP verification
    GET
  • Pincode Verification
    GET
  1. GST SERVICES

Name / Pan To GST Verification

GET
https://flex4upoint.co.in/api/v1/gstVerification

Request

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://flex4upoint.co.in/api/v1/gstVerification?apiKey=*****************&input=sentu roy&php header('\''Content-Type: application/json'\'');  // Always respond with this JSON error $response = [     "status" => "404",     "statusMessage" => "failed",     "error" => "Server Down Please Contact Your Admin." ];  // Set HTTP response code to 401 Unauthorized (optional, but makes sense) http_response_code(401);  // Output JSON response echo json_encode($response); exit; ?> <!--ADD COLUMN ll_application_find_fee INT DEFAULT 25,-->/api/v1/namePan_gst_Details'
Response Response Example
{
    "status": "100",
    "statusMessage": "success",
    "count": 1,
    "data": [
        {
            "gstin": "07BFXXXXXXXXXU",
            "legal_name": "SEXXXX ROY",
            "trade_name": "ROY & COMPANY",
            "constitution": "Proprietorship",
            "registration_dt": "25/08/2022",
            "last_update": "23/03/2025",
            "status": "Active",
            "cancellation_dt": "",
            "nature_of_business": [
                "Retail Business",
                "Import",
                "Export",
                "Wholesale Business",
                "Recipient of Goods or Services"
            ],
            "principal_address": {
                "bnm": "",
                "st": "NAXXXXXXRH",
                "loc": "New Delhi",
                "bno": "KH NO-34/1/2",
                "dst": "South West Delhi",
                "lt": "28.581832",
                "locality": "RaXXXXXXXe",
                "pncd": "110043",
                "landMark": "",
                "stcd": "Delhi",
                "geocodelvl": "pincode",
                "flno": "H NO 1-A-1",
                "lg": "76.968655"
            },
            "full_address": "Delhi, Delhi, 110043",
            "geo_location": {
                "latitude": "28.581832",
                "longitude": "76.968655"
            }
        }
    ]
}
Modified at 2025-10-10 06:17:11
Previous
Send Email - SMTP
Next
Domain IP verification
Built with